# Ogre::TRect< T > Struct Template Reference

`#include <OgreCommon.h>`

List of all members.

## Public Member Functions

| TRect ()
| TRect (T const &l, T const &t, T const &r, T const &b)
| TRect (TRect const &o)
TRect & | operator= (TRect const &o)
T | width () const
T | height () const

## Public Attributes

T | left
T | top
T | right
T | bottom

## Detailed Description

### template<typename T>
struct Ogre::TRect< T >

Definition at line 302 of file OgreCommon.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::TRect< T >::TRect | ( |  | ) |

Definition at line 305 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | T const & | l,
|  | T const & | t,
|  | T const & | r,
|  | T const & | b |
| ) |  |  |

Definition at line 306 of file OgreCommon.h.

template<typename T>

Ogre::TRect< T >::TRect | ( | TRect< T > const & | o | ) |

Definition at line 310 of file OgreCommon.h.

## Member Function Documentation

template<typename T>

TRect& Ogre::TRect< T >::operator= | ( | TRect< T > const & | o | ) |

Definition at line 314 of file OgreCommon.h.

template<typename T>

T Ogre::TRect< T >::width | ( |  | ) | const

Definition at line 322 of file OgreCommon.h.

template<typename T>

T Ogre::TRect< T >::height | ( |  | ) | const

Definition at line 326 of file OgreCommon.h.

## Member Data Documentation

template<typename T>

T Ogre::TRect< T >::left

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< float >::operator=(), Ogre::Font::setGlyphTexCoords(), and Ogre::TRect< float >::width().

template<typename T>

T Ogre::TRect< T >::top

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< float >::height(), and Ogre::TRect< float >::operator=().

template<typename T>

T Ogre::TRect< T >::right

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< float >::operator=(), and Ogre::TRect< float >::width().

template<typename T>

T Ogre::TRect< T >::bottom

Definition at line 304 of file OgreCommon.h.

Referenced by Ogre::TRect< float >::height(), and Ogre::TRect< float >::operator=().

The documentation for this struct was generated from the following file:

- OgreCommon.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:31:44 2009